> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Devices



## OpenAPI

````yaml get /billing/payment-terminal/list-devices
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /billing/payment-terminal/list-devices:
    get:
      tags:
        - provider
        - billing
      summary: List Devices
      operationId: list_devices_billing_payment_terminal_list_devices_get
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/POSDevice'
                type: array
                title: >-
                  Response List Devices Billing Payment Terminal List Devices
                  Get
components:
  schemas:
    POSDevice:
      properties:
        deviceRegistrationId:
          type: string
          title: Deviceregistrationid
        deviceName:
          type: string
          title: Devicename
        make:
          type: string
          title: Make
        model:
          type: string
          title: Model
        merchantAccountId:
          type: string
          title: Merchantaccountid
        locationId:
          type: string
          title: Locationid
      type: object
      required:
        - deviceRegistrationId
        - deviceName
        - make
        - model
        - merchantAccountId
        - locationId
      title: POSDevice

````